Const EVENTLOG_SUCCESS = 0
Const EVENTLOG_ERROR_TYPE = 1
Const EVENTLOG_WARNING_TYPE = 2
Const EVENTLOG_INFORMATION_TYPE = 4

Const Request_POST = 1
Const Request_GET = 2

Const cstrDefaultSender = "automated@dev.alfasierrapapa.com"
Const cstrDefaultSubject = "SiteWatcher Script Alert"

Const cPage2Test = "http://localhost/aspheute/sitecheck/servertestscript.asp"
Const cSuccessMessage = "Success-Status"

' main functionality
strGetResponse = RetrievePage(cPage2Test)
If (0 <> StrComp(strGetResponse, cSuccessMessage)) Then
  strError = "SiteCheck failed at " & Now() & " with error message: " & strGetResponse
  LogEvent EVENTLOG_WARNING_TYPE, strError
  ' SendMailToAdmin "christophw@dev.alfasierrapapa.com", strError
Else
  LogEvent EVENTLOG_SUCCESS, ("SiteCheck Script succeeded at " & Now())
End If

Function RetrievePage(ByVal strUrl)
 Set xobj = CreateObject("SOFTWING.ASPtear")
    
 On Error Resume Next
 ' URL, action, payload, username, password
 strRetval = xobj.Retrieve(strUrl, Request_GET, "", "", "")
 Set xObj = Nothing

 If Err.Number <> 0 Then
    If Err.Number >= 400 Then
        strErrMsg = "Server returned error: " & Err.Number
    Else
        strErrMsg = "Component/WinInet error: " & Err.Description
    End If
    strRetVal = strErrMsg & vbCrlf & "Raw Response:" & vbCrlf & strRetVal
 End If
 RetrievePage = strRetVal
End Function

Sub LogEvent(ByVal nType, ByVal strInfo)
 ' nach dem Testen der Komponente die folgende Zeile aktivieren
 ' On Error Resume Next
 Dim xObj, bResult
 Set xObj = CreateObject("SOFTWING.ASPEventlog")

 bResult = xObj.Open()
 bResult = xObj.ReportEvent(nType, strInfo)
 bResult = xObj.Close()
 Set xObj = Nothing
End Sub

Sub SendMailToAdmin(ByVal strEmailAddress, ByVal strMessageText)
 ' nach dem Testen der Komponente die folgende Zeile aktivieren
 ' On Error Resume Next
 Set objMail = CreateObject("CDONTS.NewMail")
 objMail.From = cstrDefaultSender
 objMail.To = strEmailAddress
 objMail.Subject = cstrDefaultSubject
 objMail.Body = strMessageText
 objMail.Send
 Set objMail = Nothing
End Sub